Package com.verisign.epp.codec.org

## Class EPPOrgInfoResp

- java.lang.Object
- - com.verisign.epp.codec.gen.EPPResponse
  - - com.verisign.epp.codec.org.EPPOrgInfoResp

- All Implemented Interfaces:
    `EPPCodecComponent`, `EPPMessage`, `java.io.Serializable`, `java.lang.Cloneable`

      public class EPPOrgInfoResp
      extends EPPResponse

  Response information associated with an org object.
  See Also:
    `EPPOrgInfoCmd`, Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `ELM_LOCALNAME` | XML local name for `EPPOrgInfoResp`.
    `static java.lang.String` | `ELM_NAME` | XML root tag for `EPPOrgInfoResp`.

    - ### Fields inherited from class com.verisign.epp.codec.gen.EPPResponse

      `ELM_EXTENSION, ELM_MESSAGE_QUEUE, ELM_MESSAGE_QUEUE_QDATE, ELM_RESPONSE_DATA, extensions, TRANSFER_CLIENT_APPROVED, TRANSFER_CLIENT_CANCELLED, TRANSFER_CLIENT_REJECTED, TRANSFER_PENDING, TRANSFER_SERVER_APPROVED, TRANSFER_SERVER_CANCELLED`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EPPOrgInfoResp()` | `EPPOrgInfoResp` default constructor.
    `EPPOrgInfoResp​(EPPTransId aTransId)` | `EPPOrgInfoResp` constructor that only takes the transaction identifier.
    `EPPOrgInfoResp​(EPPTransId aTransId, java.lang.String aOrgId)` | `EPPOrgInfoResp` constructor that only takes the transaction identifier and the org identifier.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addContact​(EPPOrgContact aContact)` | Adds a contact to the list of contacts.
    `void` | `addPostalInfo​(EPPOrgPostalDefinition aPostalInfo)` | Adds a postal definition to the postal information for the org.
    `void` | `addRole​(EPPOrgRole aRole)` | Add a role to list of org roles.
    `void` | `addStatus​(EPPOrgStatus aStatus)` | Add a status to list of org statuses.
    `java.lang.Object` | `clone()` | Clone `EPPOrgInfoResp`.
    `protected void` | `doDecode​(org.w3c.dom.Element aElement)` | Decode the `EPPOrgInfoResp` attributes from the aElement DOM Element tree.
    `protected org.w3c.dom.Element` | `doEncode​(org.w3c.dom.Document aDocument)` | Encode a DOM Element tree from the attributes of the `EPPOrgInfoResp` instance.
    `boolean` | `equals​(java.lang.Object aObject)` | Compare an instance of `EPPOrgInfoResp` with this instance.
    `java.lang.String` | `getClientId()` |
    `java.util.List<EPPOrgContact>` | `getContacts()` |
    `java.lang.String` | `getCreatedBy()` |
    `java.util.Date` | `getCreatedDate()` |
    `java.lang.String` | `getEmail()` |
    `java.lang.String` | `getFax()` |
    `java.lang.String` | `getFaxExt()` |
    `java.lang.String` | `getLastUpdatedBy()` |
    `java.util.Date` | `getLastUpdatedDate()` | Gets the last updated date.
    `java.lang.String` | `getNamespace()` | Gets the EPP command namespace associated with `EPPOrgInfoResp` .
    `java.lang.String` | `getOrgId()` | Gets the org identifier.
    `java.lang.String` | `getParentId()` | Gets the parent organization id.
    `java.util.List<EPPOrgPostalDefinition>` | `getPostalInfo()` | Gets the postal information for the org.
    `java.lang.String` | `getRoid()` |
    `java.util.List<EPPOrgRole>` | `getRoles()` | Gets the roles of the org.
    `java.util.List<EPPOrgStatus>` | `getStatuses()` | Gets the statuses of the org.
    `java.lang.String` | `getType()` | Gets the EPP response type associated with `EPPOrgInfoResp`.
    `java.lang.String` | `getUrl()` | Gets the URL of the website of the org.
    `java.lang.String` | `getVoice()` |
    `java.lang.String` | `getVoiceExt()` |
    `boolean` | `hasContacts()` | Is there any contacts set?
    `boolean` | `hasParentId()` | Is the parentId defined?
    `boolean` | `hasPostalInfo()` | Is there any postal information set?
    `boolean` | `hasRole()` | Is there at least one role?
    `boolean` | `hasStatus()` | Is there at least one status?
    `void` | `setClientId​(java.lang.String aClientId)` |
    `void` | `setContacts​(java.util.List<EPPOrgContact> aContacts)` |
    `void` | `setCreatedBy​(java.lang.String aCreatedBy)` |
    `void` | `setCreatedDate​(java.util.Date aCreatedDate)` |
    `void` | `setEmail​(java.lang.String aEmail)` |
    `void` | `setFax​(java.lang.String aFax)` |
    `void` | `setFaxExt​(java.lang.String aFaxExt)` |
    `void` | `setLastUpdatedBy​(java.lang.String aLastUpdatedBy)` |
    `void` | `setLastUpdatedDate​(java.util.Date aLastUpdatedDate)` | Sets the last updated date.
    `void` | `setOrgId​(java.lang.String aOrgId)` | Sets the org identifier.
    `void` | `setParentId​(java.lang.String aParentId)` | Sets the parent organization id.
    `void` | `setPostalInfo​(java.util.List<EPPOrgPostalDefinition> aPostalInfo)` | Sets the postal information for the org.
    `void` | `setRoid​(java.lang.String aRoid)` |
    `void` | `setRoles​(java.util.List<EPPOrgRole> aRoles)` | Sets the roles of the org.
    `void` | `setStatuses​(java.util.List<EPPOrgStatus> aStatuses)` | Sets the statuses of the org.
    `void` | `setUrl​(java.lang.String aUrl)` | Sets the URL of the website of the org.
    `void` | `setVoice​(java.lang.String aVoice)` |
    `void` | `setVoiceExt​(java.lang.String aVoiceExt)` |
    `java.lang.String` | `toString()` | Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

    - ### Methods inherited from class com.verisign.epp.codec.gen.EPPResponse

      `addExtension, decode, encode, findDuplicateExtNamespaces, findExtNamespaces, findExtNamespaceSuffixes, findUnsupportedExtNamespaces, findUnsupportedExtNamespaceSuffixes, getExtension, getExtension, getExtensions, getMessageQueue, getMsgQueue, getMsgQueueCount, getMsgQueueDate, getMsgQueueMsg, getQDate, getResult, getResults, getTransId, hasExtension, hasExtensions, hasMessageQueue, hasMsgQueue, hasResultCode, isSuccess, setExtension, setExtensions, setMsgQueue, setResult, setResult, setResult, setResult, setResults, setTransId`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ELM_LOCALNAME

          public static final java.lang.String ELM_LOCALNAME

      XML local name for `EPPOrgInfoResp`.
      See Also:
        Constant Field Values

    - #### ELM_NAME

          public static final java.lang.String ELM_NAME

      XML root tag for `EPPOrgInfoResp`.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### EPPOrgInfoResp

          public EPPOrgInfoResp()

      `EPPOrgInfoResp` default constructor.

    - #### EPPOrgInfoResp

          public EPPOrgInfoResp​(EPPTransId aTransId)

      `EPPOrgInfoResp` constructor that only takes the transaction identifier.
      Parameters:
        `aTransId` - Transaction Id associated with response.

    - #### EPPOrgInfoResp

          public EPPOrgInfoResp​(EPPTransId aTransId,
                                java.lang.String aOrgId)

      `EPPOrgInfoResp` constructor that only takes the transaction identifier and the org identifier.
      Parameters:
        `aTransId` - Transaction Id associated with command. Set to `null` if a client transaction identifier is not desired.
        `aOrgId` - Org identifier

  - ### Method Detail

    - #### getOrgId

          public java.lang.String getOrgId()

      Gets the org identifier.
      Returns:
        The org identifier if defined;`null` otherwise.

    - #### setOrgId

          public void setOrgId​(java.lang.String aOrgId)

      Sets the org identifier.
      Parameters:
        `aOrgId` - The org identifier

    - #### getRoid

          public java.lang.String getRoid()

      Returns:
        the roid

    - #### setRoid

          public void setRoid​(java.lang.String aRoid)

      Parameters:
        `aRoid` - the roid to set

    - #### hasRole

          public boolean hasRole()

      Is there at least one role?
      Returns:
        `true` if there at least one role; `false` otherwise.

    - #### getRoles

          public java.util.List<EPPOrgRole> getRoles()

      Gets the roles of the org.
      Returns:
        List of roles of the org.

    - #### setRoles

          public void setRoles​(java.util.List<EPPOrgRole> aRoles)

      Sets the roles of the org.
      Parameters:
        `aRoles` - Organization roles

    - #### addRole

          public void addRole​(EPPOrgRole aRole)

      Add a role to list of org roles.
      Parameters:
        `aRole` - Org role to add.

    - #### hasStatus

          public boolean hasStatus()

      Is there at least one status?
      Returns:
        `true` if there at least one status; `false` otherwise.

    - #### getStatuses

          public java.util.List<EPPOrgStatus> getStatuses()

      Gets the statuses of the org.
      Returns:
        List of statuses of the org.

    - #### setStatuses

          public void setStatuses​(java.util.List<EPPOrgStatus> aStatuses)

      Sets the statuses of the org.
      Parameters:
        `aStatuses` - Organization statuses

    - #### addStatus

          public void addStatus​(EPPOrgStatus aStatus)

      Add a status to list of org statuses.
      Parameters:
        `aStatus` - Org status to add.

    - #### hasParentId

          public boolean hasParentId()

      Is the parentId defined?
      Returns:
        `true` if the parentId is defined; `false` otherwise.

    - #### getParentId

          public java.lang.String getParentId()

      Gets the parent organization id.
      Returns:
        The parent organization id if defined; `null` otherwise.

    - #### setParentId

          public void setParentId​(java.lang.String aParentId)

      Sets the parent organization id.
      Parameters:
        `aParentId` - the parentId to set

    - #### hasPostalInfo

          public boolean hasPostalInfo()

      Is there any postal information set?
      Returns:
        `true` if there is at least one `EPPOrgPostalDefinition` set in the postal information; `false` otherwise.

    - #### addPostalInfo

          public void addPostalInfo​(EPPOrgPostalDefinition aPostalInfo)

      Adds a postal definition to the postal information for the org.
      Parameters:
        `aPostalInfo` - Postal definition to add to the postal information.

    - #### getPostalInfo

          public java.util.List<EPPOrgPostalDefinition> getPostalInfo()

      Gets the postal information for the org. There can be one or two `EPPOrgPostalDefinition` objects in the postal information list.
      Returns:
        Postal information for the org

    - #### setPostalInfo

          public void setPostalInfo​(java.util.List<EPPOrgPostalDefinition> aPostalInfo)

      Sets the postal information for the org. There can be one or two `EPPOrgPostalDefinition` objects in the postal information list.
      Parameters:
        `aPostalInfo` - Postal information for the org.

    - #### getVoice

          public java.lang.String getVoice()

      Returns:
        the voice

    - #### setVoice

          public void setVoice​(java.lang.String aVoice)

      Parameters:
        `aVoice` - the voice to set

    - #### getVoiceExt

          public java.lang.String getVoiceExt()

      Returns:
        the voiceExt

    - #### setVoiceExt

          public void setVoiceExt​(java.lang.String aVoiceExt)

      Parameters:
        `aVoiceExt` - the voiceExt to set

    - #### getFax

          public java.lang.String getFax()

      Returns:
        the fax

    - #### setFax

          public void setFax​(java.lang.String aFax)

      Parameters:
        `aFax` - the fax to set

    - #### getFaxExt

          public java.lang.String getFaxExt()

      Returns:
        the faxExt

    - #### setFaxExt

          public void setFaxExt​(java.lang.String aFaxExt)

      Parameters:
        `aFaxExt` - the faxExt to set

    - #### getEmail

          public java.lang.String getEmail()

      Returns:
        the email

    - #### setEmail

          public void setEmail​(java.lang.String aEmail)

      Parameters:
        `aEmail` - the email to set

    - #### getUrl

          public java.lang.String getUrl()

      Gets the URL of the website of the org.
      Returns:
        URL of the website of the org.

    - #### setUrl

          public void setUrl​(java.lang.String aUrl)

      Sets the URL of the website of the org.
      Parameters:
        `aUrl` - URL of the website of the org.

    - #### hasContacts

          public boolean hasContacts()

      Is there any contacts set?
      Returns:
        `true` if there is at least one `EPPOrgContact` set; `false` otherwise.

    - #### addContact

          public void addContact​(EPPOrgContact aContact)

      Adds a contact to the list of contacts.
      Parameters:
        `aContact` - Contact add to the list of contacts.

    - #### getContacts

          public java.util.List<EPPOrgContact> getContacts()

      Returns:
        the contacts

    - #### setContacts

          public void setContacts​(java.util.List<EPPOrgContact> aContacts)

      Parameters:
        `aContacts` - the contacts to set

    - #### getClientId

          public java.lang.String getClientId()

      Returns:
        the clientId

    - #### setClientId

          public void setClientId​(java.lang.String aClientId)

      Parameters:
        `aClientId` - the clientId to set

    - #### getCreatedBy

          public java.lang.String getCreatedBy()

      Returns:
        the createdBy

    - #### setCreatedBy

          public void setCreatedBy​(java.lang.String aCreatedBy)

      Parameters:
        `aCreatedBy` - the createdBy to set

    - #### getCreatedDate

          public java.util.Date getCreatedDate()

      Returns:
        the createdDate

    - #### setCreatedDate

          public void setCreatedDate​(java.util.Date aCreatedDate)

      Parameters:
        `aCreatedDate` - the createdDate to set

    - #### getLastUpdatedBy

          public java.lang.String getLastUpdatedBy()

      Returns:
        the lastUpdatedBy

    - #### setLastUpdatedBy

          public void setLastUpdatedBy​(java.lang.String aLastUpdatedBy)

      Parameters:
        `aLastUpdatedBy` - the lastUpdatedBy to set

    - #### getLastUpdatedDate

          public java.util.Date getLastUpdatedDate()

      Gets the last updated date.
      Returns:
        the lastUpdatedDate Last updated date if set; `null` otherwise.

    - #### setLastUpdatedDate

          public void setLastUpdatedDate​(java.util.Date aLastUpdatedDate)

      Sets the last updated date.
      Parameters:
        `aLastUpdatedDate` - Last updated date and time

    - #### doEncode

          protected org.w3c.dom.Element doEncode​(org.w3c.dom.Document aDocument)
                                          throws EPPEncodeException

      Encode a DOM Element tree from the attributes of the `EPPOrgInfoResp` instance.
      Overrides:
        `doEncode` in class `EPPResponse`
      Parameters:
        `aDocument` - DOM Document that is being built. Used as an Element factory.
      Returns:
        Element Root DOM Element representing the EPPOrgInfoResp instance.
      Throws:
        `EPPEncodeException` - Unable to encode EPPOrgInfoResp instance.

    - #### doDecode

          protected void doDecode​(org.w3c.dom.Element aElement)
                           throws EPPDecodeException

      Decode the `EPPOrgInfoResp` attributes from the aElement DOM Element tree.
      Overrides:
        `doDecode` in class `EPPResponse`
      Parameters:
        `aElement` - Root DOM Element to decode `EPPOrgInfoResp` from.
      Throws:
        `EPPDecodeException` - Unable to decode aElement

    - #### clone

          public java.lang.Object clone()
                                 throws java.lang.CloneNotSupportedException

      Clone `EPPOrgInfoResp`.
      Specified by:
        `clone` in interface `EPPCodecComponent`
      Overrides:
        `clone` in class `EPPResponse`
      Returns:
        clone of `EPPOrgInfoResp`
      Throws:
        `java.lang.CloneNotSupportedException` - standard Object.clone exception

    - #### getType

          public java.lang.String getType()

      Gets the EPP response type associated with `EPPOrgInfoResp`.
      Overrides:
        `getType` in class `EPPResponse`
      Returns:
        `EPPOrgInfoResp.ELM_NAME`

    - #### getNamespace

          public java.lang.String getNamespace()

      Gets the EPP command namespace associated with `EPPOrgInfoResp` .
      Specified by:
        `getNamespace` in interface `EPPCodecComponent`
      Specified by:
        `getNamespace` in interface `EPPMessage`
      Overrides:
        `getNamespace` in class `EPPResponse`
      Returns:
        `EPPOrgMapFactory.NS`

    - #### equals

          public boolean equals​(java.lang.Object aObject)

      Compare an instance of `EPPOrgInfoResp` with this instance.
      Overrides:
        `equals` in class `EPPResponse`
      Parameters:
        `aObject` - Object to compare with.
      Returns:
        `true` if this object is the same as the aObject argument; `false` otherwise

    - #### toString

          public java.lang.String toString()

      Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.
      Overrides:
        `toString` in class `EPPResponse`
      Returns:
        Indented XML `String` if successful; `ERROR` otherwise.